> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Plans Route



## OpenAPI

````yaml https://api.somya.ai/openapi.json get /v1/plans
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/plans:
    get:
      tags:
        - plans
      summary: List Plans Route
      operationId: list_plans_route_v1_plans_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanListResponse'
components:
  schemas:
    PlanListResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/PlanListData'
      type: object
      required:
        - data
      title: PlanListResponse
    PlanListData:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PlanItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: PlanListData
    PlanItem:
      properties:
        plan_id:
          type: string
          title: Plan Id
        display_name:
          type: string
          title: Display Name
        price_inr:
          type: integer
          title: Price Inr
        billing_cycle:
          type: string
          title: Billing Cycle
        tts_credits_per_cycle:
          type: integer
          title: Tts Credits Per Cycle
        asr_credits_per_cycle:
          type: integer
          title: Asr Credits Per Cycle
      type: object
      required:
        - plan_id
        - display_name
        - price_inr
        - billing_cycle
        - tts_credits_per_cycle
        - asr_credits_per_cycle
      title: PlanItem

````